RADIUSD_BSDAUTH(8)

NAME
radiusd_bsdauth - provide authentication by BSD authentication system

SYNOPSIS
radiusd_bsdauth

DESCRIPTION
The radiusd_bsdauth utility is executed by radiusd(8) as a module to provide authentication from the local system's authenticate(3) interface, known as “bsd auth”. It only supports PAP, password based authentication.

CONFIGURATIONS
The radiusd_bsdauth supports the following configuration key and value:

restrict-group group ...
    Restrict login only if the user is a member of the specified groups.

FILES
/usr/libexec/radiusd/radiusd_bsdauth
    “bsdauth” module executable.

SEE ALSO
authenticate(3), radiusd.conf(5), radiusd(8)

HISTORY
The radiusd_bsdauth module first appeared in OpenBSD 5.8.